Bug 756511 - Sabayon is broken in many ways in F16
Summary: Sabayon is broken in many ways in F16
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: sabayon
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tomáš Bžatek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-11-23 19:55 UTC by Daniel Walsh
Modified: 2015-03-03 23:02 UTC (History)
2 users (show)

Fixed In Version: sabayon-2.30.1-3.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-12-06 01:04:39 UTC
Type: ---


Attachments (Terms of Use)
This patch fixes the problems that are causing xguest to break (4.53 KB, patch)
2011-11-23 19:56 UTC, Daniel Walsh
no flags Details | Diff

Description Daniel Walsh 2011-11-23 19:55:04 UTC
It is causing xguest to break.

sabayon-apply is the culpret.

bonobo python module no longer exists.
sabayon-apply on a user without a profile should be expected and should not exit with an error.
For some reason sabayon-apply is now blowing up when it tries to create directories.

Comment 1 Daniel Walsh 2011-11-23 19:56:13 UTC
Created attachment 535611 [details]
This patch fixes the problems that are causing xguest to break

Please apply asap.

Comment 2 Tomáš Bžatek 2011-11-25 10:46:21 UTC
Yes, Sabayon is broken since Gnome 3 was introduced. There has been number of configuration changes due to porting to GSettings and also the default Gnome session has changed a bit. Sabayon needs to be rewritten and I'm not aware of anyone working on it.

Comment 3 Fedora Update System 2011-11-25 10:55:00 UTC
sabayon-2.30.1-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/sabayon-2.30.1-3.fc16

Comment 4 Fedora Update System 2011-11-25 23:22:04 UTC
Package sabayon-2.30.1-3.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing sabayon-2.30.1-3.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-16397/sabayon-2.30.1-3.fc16
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2011-12-06 01:04:39 UTC
sabayon-2.30.1-3.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.